package com.eactive.eai.transformer.layout;

import com.eactive.eai.transformer.TransformerException;

public class LayoutNotFoundException extends TransformerException {
	private static final long serialVersionUID = -8667483552407975824L;
	private final String layoutName;

    public LayoutNotFoundException(String message, String layoutName) {
        this(message, layoutName, null);
    }

    public LayoutNotFoundException(String message, String layoutName,
        Throwable cause) {
        super(message, cause);
        this.layoutName = layoutName;
    }

    public String getLayoutName() {
        return layoutName;
    }
}
